Bug 245109 - math/ntl: update to 11.4.3 and add an option for gf2x
Summary: math/ntl: update to 11.4.3 and add an option for gf2x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-03-27 19:12 UTC by Thierry Thomas
Modified: 2020-06-09 18:14 UTC (History)
2 users (show)

See Also:
thierry: maintainer-feedback-


Attachments
Update to 11.4.3 and add an option for gf2x (1.92 KB, text/plain)
2020-03-27 19:12 UTC, Thierry Thomas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2020-03-27 19:12:33 UTC
Created attachment 212765 [details]
Update to 11.4.3 and add an option for gf2x

- Upgrade to 11.4.3. Release notes are available at
  https://www.shoup.net/ntl/doc/tour-changes.html

- Add an option for gf2x. Set it to default, because it is used this way by
  SageMath.
Comment 1 Fernando Apesteguía freebsd_committer 2020-03-28 19:06:21 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 Thierry Thomas freebsd_committer 2020-04-15 15:45:38 UTC
Maintainer's time-out: committing.
Comment 3 commit-hook freebsd_committer 2020-04-15 15:46:33 UTC
A commit references this bug:

Author: thierry
Date: Wed Apr 15 15:45:37 UTC 2020
New revision: 531772
URL: https://svnweb.freebsd.org/changeset/ports/531772

Log:
  Update to 11.4.3 and add an option for gf2x.

  PR:		245109
  Submitted by:	/me
  Approved by:	maintainer's time-out

Changes:
  head/math/ntl/Makefile
  head/math/ntl/distinfo
  head/math/ntl/pkg-plist
Comment 4 commit-hook freebsd_committer 2020-06-09 18:14:43 UTC
A commit references this bug:

Author: yuri
Date: Tue Jun  9 18:14:26 UTC 2020
New revision: 538334
URL: https://svnweb.freebsd.org/changeset/ports/538334

Log:
  MFH: r531772 r538330

  Update to 11.4.3 and add an option for gf2x.

  PR:		245109
  Submitted by:	/me
  Approved by:	ports-secteam (joenum)

  math/ntl: Unbreak on systems incompatible with the system where the package was built

  -march=native caused SEGVs on incompatible systems

  Approved by:	portmgr (unbreak)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/math/ntl/Makefile
  branches/2020Q2/math/ntl/distinfo
  branches/2020Q2/math/ntl/pkg-plist